Skip to main content

 –

Completing the prerequisite tasks

Suggest edit Updated on January 22, 2021

Before you upgrade your application, ensure that you complete all of the following tasks.

  1. Ensure that you can stop and start the application server.
  2. Before starting an update, and before backing up your system, review the database policies and application permissions that are used by your Pega Platform update. Determine whether the application is permitted to update the database automatically or if you must generate the database scripts that your organization will use to manually make schema changes.
  3. Update to the latest version of Pega Platform 8.5, and ensure that you can log in as an administrator. For more information, see the Pega Platform Update Guide for your environment on the Deploy Pega Platform page.
  4. Apply any required hotfixes by using the Hotfix Manager. For more information, see Applying hotfixes. To review the Pega Next-Best-Action Advisor hotfixes without using the Hotfix Manager, see the Pega Customer Relationship Management hotfixes page.
  5. Update the Pega Platform online help to the latest version from the Online Help Files section on the Pega Platform Update page. After you download the latest prhelp.war file, deploy it in your Pega Platform installation before continuing. For deployment information, see the Pega Platform Installation Guide for your application server.
  6. Upgrade to Pega Customer Decision Hub 8.5, and ensure it is available for the Pega Next-Best-Action Advisor application to connect.
    For more information, see the upgrade guide applicable to your upgrade path on the Pega Customer Decision Hub product page.
Did you find this content helpful? YesNo

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

Ready to crush complexity?

Experience the benefits of Pega Community when you log in.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us